# Class FasterPaymentsAccountPayload

#### Hierarchy

- unknown
  - FasterPaymentsAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4468
- Defined in src/protobuf/pb_pb.d.ts:4486

#####
Index

### Constructors

constructor

### Methods

getAccountNr
getHolderName
getSortCode
serializeBinary
setAccountNr
setHolderName
setSortCode
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new FasterPaymentsAccountPayload(): FasterPaymentsAccountPayload

- #### Returns FasterPaymentsAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getAccountNr

- getAccountNr(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4475

### getHolderName

- getHolderName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4469

### getSortCode

- getSortCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4472

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4478

### setAccountNr

- setAccountNr(value: string): FasterPaymentsAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns FasterPaymentsAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4476

### setHolderName

- setHolderName(value: string): FasterPaymentsAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns FasterPaymentsAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4470

### setSortCode

- setSortCode(value: string): FasterPaymentsAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns FasterPaymentsAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4473

### toObject

- toObject(includeInstance?: boolean): FasterPaymentsAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns FasterPaymentsAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4479

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): FasterPaymentsAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns FasterPaymentsAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4482

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: FasterPaymentsAccountPayload, reader: BinaryReader): FasterPaymentsAccountPayload

- #### Parameters

  - ##### message: FasterPaymentsAccountPayload

  - ##### reader: BinaryReader

  #### Returns FasterPaymentsAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4483

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: FasterPaymentsAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: FasterPaymentsAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4481

### `Static` toObject

- toObject(includeInstance: boolean, msg: FasterPaymentsAccountPayload): FasterPaymentsAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: FasterPaymentsAccountPayload

  #### Returns FasterPaymentsAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4480

Generated using TypeDoc